Package org.eclipse.graphiti.ui.internal.partfactory

## Class PictogramsEditPartFactory

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.config.AbstractConfigurationProviderHolder
  - - org.eclipse.graphiti.ui.internal.partfactory.PictogramsEditPartFactory

All Implemented Interfaces:
  `org.eclipse.gef.EditPartFactory`, `IConfigurationProviderHolder`, `IEditPartFactory`

    public class PictogramsEditPartFactory
    extends AbstractConfigurationProviderHolder
    implements IEditPartFactory

A concrete implementation of the interface IEditPartFactory, which works on a pictogram model.

### Constructor Summary

Constructors
`PictogramsEditPartFactory​(IConfigurationProviderInternal configurationProvider)` Creates a new PictogramsEditPartFactory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.gef.EditPart` `createEditPart​(org.eclipse.gef.EditPart context, java.lang.Object model)`

### Methods inherited from class org.eclipse.graphiti.ui.internal.config.AbstractConfigurationProviderHolder

`getConfigurationProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.config.IConfigurationProviderHolder

`getConfigurationProvider`

### Constructor Detail

#### PictogramsEditPartFactory

    public PictogramsEditPartFactory​(IConfigurationProviderInternal configurationProvider)

Creates a new PictogramsEditPartFactory.

### Method Detail

#### createEditPart

    public org.eclipse.gef.EditPart createEditPart​(org.eclipse.gef.EditPart context,
                                                   java.lang.Object model)

Specified by:
  `createEditPart` in interface `org.eclipse.gef.EditPartFactory`